> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/guides/output-module/the-output-module-query-language/filter-properties.md).

# Filter properties

You can use filter shortcuts to reduce the amount of time required to write a JSON query. For example, `Relation` has a `typeId` parameter that takes an `Id` and eliminates the need to add a `RelationType` node with an `Id` property. These one-line filtering properties are the most commonly used filters because they make the query a lot less verbose.

The following example shows filtering a `StringAttribute` on an `AttributeType` using the `labelId` filtering property.

{% tabs %}
{% tab title="JSON" %}

```json
"StringAttribute": {
    "labelId": "00000000-0000-0000-0000-000000000202",
    "Id": { "name": "descriptionId" },
    "LongExpression": { "name": "description" }
}
```

{% endtab %}

{% tab title="YAML" %}

```yaml
StringAttribute:
  labelId: "00000000-0000-0000-0000-000000000202"
  Id:
    name: "descriptionId"
  LongExpression:
    name: "description"
```

{% endtab %}
{% endtabs %}

Refer to [Entities, properties and relations](/api/guides/output-module/entities-properties-and-relations.md) for the list of available filter properties for each entity.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/guides/output-module/the-output-module-query-language/filter-properties.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
